| USRP Hardware Driver and Device Manual Version: 4.10.0.0 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::math::fp_compare::freq_compare_epsilon Class Reference

An alias for fp_compare_epsilon, but with defaults for frequencies. More...

`#include <uhd/utils/math.hpp>`

Inheritance diagram for uhd::math::fp_compare::freq_compare_epsilon:

## Detailed Description

An alias for fp_compare_epsilon, but with defaults for frequencies.

## Public Member Functions
UHD_INLINE | freq_compare_epsilon (double value)
UHD_INLINE | freq_compare_epsilon (const freq_compare_epsilon &copy)
Public Member Functions inherited from uhd::math::fp_compare::fp_compare_epsilon< double >
UHD_INLINE | fp_compare_epsilon (float value)
UHD_INLINE | fp_compare_epsilon (double value)
UHD_INLINE | ~fp_compare_epsilon ()
UHD_INLINE void | operator= (const fp_compare_epsilon &copy)

## Additional Inherited Members
Public Attributes inherited from uhd::math::fp_compare::fp_compare_epsilon< double >
double | _value
double | _epsilon

## Constructor & Destructor Documentation

## ◆ freq_compare_epsilon() [1/2]

UHD_INLINE uhd::math::fp_compare::freq_compare_epsilon::freq_compare_epsilon | ( | double | value | ) |
| inline

## ◆ freq_compare_epsilon() [2/2]

UHD_INLINE uhd::math::fp_compare::freq_compare_epsilon::freq_compare_epsilon | ( | const freq_compare_epsilon & | copy | ) |
| inline

The documentation for this class was generated from the following file:

- math.hpp